﻿@using Microsoft.AspNetCore.Identity
@using YRPS.Data.DbModels.UsersManagement
@using YRPS.DTO.Security.User
@inject Microsoft.AspNetCore.Http.IHttpContextAccessor HttpContext;

@using  Microsoft.AspNetCore.Http;
@using Newtonsoft.Json;

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager
@{
    var currentUser = new UserDto();
    var obj = HttpContext.HttpContext.Session.GetString("curUser");

    if (obj != null)
    {
        currentUser = JsonConvert.DeserializeObject<UserDto>(obj);
    }
}


<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - OrbCare.Web</title>

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
    <link href="~/assets/css/icons/icomoon/styles.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/icons/fontawesome/styles.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/core.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/components.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/colors.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/OrbCare.css" rel="stylesheet" type="text/css">

    <script type="text/javascript" src="~/assets/js/core/libraries/jquery.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/jquery.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/jszip.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/kendo.all.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/kendo.aspnetmvc.min.js"></script>
    <script type="text/javascript" src="~/assets/js/plugins/loaders/pace.min.js"></script>
    <script type="text/javascript" src="~/assets/js/core/libraries/bootstrap.min.js"></script>
    <script type="text/javascript" src="~/assets/js/plugins/loaders/blockui.min.js"></script>
    <script type="text/javascript" src="~/assets/js/plugins/ui/nicescroll.min.js"></script>
    <script type="text/javascript" src="~/assets/js/core/app.js"></script>
    <script type="text/javascript" src="~/assets/js/pages/layout_fixed_custom.js"></script>
    <script type="text/javascript" src="../../../../global_assets/js/plugins/tables/footable/footable.min.js"></script>
    <link href="https://kendo.cdn.telerik.com/2019.3.917/styles/kendo.bootstrap-v4.min.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        function DisplaySuccessMessage(message) {
            var htmlMessage = '<ul>';
            for (var i = 0; i < message.length; i++) {
                htmlMessage += '<li>' + message[i] + '</li>';
            }

            htmlMessage += '</ul>'

            $('#divSuccess').html(htmlMessage);
            $('#successModal').modal('show');
        }

        function DisplayWarningMessage(message) {
            var htmlMessage = '<ul>';
            for (var i = 0; i < message.length; i++) {
                htmlMessage += '<li>' + message[i] + '</li>';
            }

            htmlMessage += '</ul>';
            return htmlMessage;
            //$('#divWarning').html(htmlMessage);
            // $('#warningModal').modal('show');
        }

        function DisplayErrorMessage(message) {
            var htmlMessage = '<ul>';
            for (var i = 0; i < message.length; i++) {
                htmlMessage += '<li>' + message[i] + '</li>';
            }

            htmlMessage += '</ul>'
            $('#divError').html(htmlMessage);
            $('#errorModal').modal('show');


        }
    </script>
</head>

<body class="sidebar-xs has-detached-right">

    <!-- Main navbar -->
    <div class="navbar navbar-default header-highlight">
        <div class="navbar-header">
            <a class="navbar-brand" href="index.html"><img src="~/assets/images/logo_light.png" alt=""></a>

            <ul class="nav navbar-nav visible-xs-block">
                <li><a data-toggle="collapse" data-target="#navbar-mobile"><i class="icon-tree5"></i></a></li>
                <li><a class="sidebar-mobile-main-toggle"><i class="icon-paragraph-justify3"></i></a></li>
            </ul>
        </div>

        <div class="navbar-collapse collapse" id="navbar-mobile">
            <ul class="nav navbar-nav">
                <li><a class="sidebar-control sidebar-main-toggle hidden-xs"><i class="icon-paragraph-justify3"></i></a></li>

            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown dropdown-user">
                    <a class="dropdown-toggle" data-toggle="dropdown">
                        <img src="~/assets/images/placeholder.jpg" alt="">
                        @{
                            if (currentUser != null)
                            {
                                <span>
                                    @currentUser.FirstName
                                </span>
                            }
                        }
                        <i class="caret"></i>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-right">
                        <li><a href="#"><i class="icon-cog5"></i> Account settings</a></li>
                        <li><a href="@Url.Action("Logout","Account")"><i class="icon-switch2"></i> Logout</a></li>
                    </ul>
                </li>
            </ul>


        </div>
    </div>
    <!-- /main navbar -->
    <!-- Page container -->
    <div class="page-container">

        <!-- Page content -->
        <div class="page-content">

            <!-- Main sidebar -->
            <div class="sidebar sidebar-main">
                <div class="sidebar-content">


                    <!-- Main navigation -->
                    <div class="sidebar-category sidebar-category-visible">
                        <div class="category-content no-padding">
                            <ul class="navigation navigation-main navigation-accordion">

                                <!-- Main -->
                                <li class="navigation-header"><span>Main</span> <i class="icon-menu" title="Main pages"></i></li>
                                <li class="active"><a href="index.html"><i class="fa fa-user"></i> <span>Clients</span></a></li>

                                <!-- /main -->
                                <!-- Admin -->
                                <li class="navigation-header"><span>Admin</span> <i class="icon-menu" title="Admin"></i></li>
                                <li>
                                    <a href="#"><i class="icon-gear"></i> <span>Settings</span></a>
                                    <ul>
                                        <li><a asp-action="Index" asp-controller="Account">Users</a></li>
                                        <li><a asp-action="Index" asp-controller="Role">Roles</a></li>
                                        <li><a href="SettingPatients.html">Clients</a></li>
                                        <li><a href="SettingLawFirm.html">Law Firm’s</a></li>
                                        <li><a href="SettingInsuranceCompanies.html">Insurance Companies</a></li>
                                        <li><a href="SettingHealthPractitioners.html">Health Practitioners</a></li>

                                    </ul>
                                </li>
                                <li><a href="changelog.html"><i class="icon-question7"></i> <span>How To</span></a></li>

                                <!-- /admin -->



                            </ul>
                        </div>
                    </div>
                    <!-- /main navigation -->

                </div>
            </div>
            <!-- /main sidebar -->
            <!-- Main content -->
            <div class="content-wrapper">




                <!-- Toolbar -->
                <!-- /toolbar -->
                <!-- Content area -->
                <div>


                    @RenderBody()

                </div>
                <!-- /content area -->

            </div>
            <!-- /main content -->

        </div>
        <!-- /page content -->


    </div>
    <!-- /page container -->

    <div id="errorModal" class="modal fade" role="dialog" style="z-index:10000">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Error</h4>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger" id="divError">
                        Sorry, An error has occured while processing your request
                    </div>
                </div>

            </div>

        </div>
    </div>
    <div id="warningModal" class="modal fade" role="dialog" style="z-index:10000">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Warning</h4>
                </div>
                <div class="modal-body">
                    <div class="alert alert-warning" id="divWarning1">
                        Sorry, An error has occured while processing your request
                    </div>
                </div>

            </div>

        </div>
    </div>
    <div id="successModal" class="modal fade" role="dialog" style="z-index:10000">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Success</h4>
                </div>
                <div class="modal-body">
                    <div class="alert alert-success" id="divSuccess">
                        Sorry, An error has occured while processing your request
                    </div>
                </div>

            </div>

        </div>
    </div>

    @*<script type="text/javascript">
        if (@currentUser == null) {
            window.location.href = "/Account/Login";
        }
    </script>*@
</body>


@RenderSection("Scripts", required: false)

</html>
